Bug 1414982 - Respin SeaMonkey to make it compatible with NSS 3.28.1
Summary: Respin SeaMonkey to make it compatible with NSS 3.28.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: seamonkey
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1381400
TreeView+ depends on / blocked
 
Reported: 2017-01-19 21:32 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2017-10-22 16:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-22 16:46:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2017-01-19 21:32:40 UTC
Fedora will update to NSS 3.28.1 which is required for the upcoming Firefox 51.

NSS 3.28.1 contains enhancements that are incompatible with a check that's contained in Mozilla 50 and older.

Could you please rebuild SeaMonkey on all supported Fedora branches to pick up the required fix, to ensure SeaMonkey won't be broken when we update NSS 3.28.1 in the next few days?

Comment 1 Kai Engert (:kaie) (inactive account) 2017-01-19 21:34:30 UTC
https://hg.mozilla.org/releases/mozilla-esr45/rev/bf0dd9ae6807

Comment 2 Fedora Update System 2017-01-20 00:23:48 UTC
seamonkey-2.46-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-38dd60f1bd

Comment 3 Fedora Update System 2017-01-20 00:24:30 UTC
seamonkey-2.46-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7551218f1a

Comment 4 Fedora Update System 2017-01-20 19:21:32 UTC
seamonkey-2.46-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7551218f1a

Comment 5 Kai Engert (:kaie) (inactive account) 2017-01-20 19:29:26 UTC
please DON'T push to bodhi

We'd like to create a combined update for all related packages, because the NSS packages will use a Conflicts: statement with the earlier version of your package.

Comment 6 Fedora Update System 2017-01-20 19:56:30 UTC
seamonkey-2.46-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-38dd60f1bd

Comment 7 Kai Engert (:kaie) (inactive account) 2017-01-20 20:23:08 UTC
FYI, I've unpushed both updates, and submitted new builds, without any changes. The reason is I cannot remove the builds from the old update. But removing them would be required to get them added to the combined update. It's easiest to just make new builds.

Comment 8 Fedora Update System 2017-01-21 11:51:09 UTC
firefox-50.1.0-3.fc25 icecat-45.5.1-6.fc25 nss-3.28.1-1.3.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 seamonkey-2.46-3.fc25 thunderbird-45.6.0-5.fc25 xulrunner-44.0-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 9 Fedora Update System 2017-01-21 11:51:34 UTC
firefox-50.1.0-3.fc25 icecat-45.5.1-6.fc25 nss-3.28.1-1.3.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 seamonkey-2.46-3.fc25 thunderbird-45.6.0-5.fc25 xulrunner-44.0-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 10 Fedora Update System 2017-01-21 11:52:33 UTC
firefox-50.1.0-3.fc24 icecat-45.5.1-6.fc24 nss-3.28.1-1.3.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 seamonkey-2.46-3.fc24 thunderbird-45.6.0-5.fc24 xulrunner-44.0-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 11 Fedora Update System 2017-01-21 11:52:52 UTC
firefox-50.1.0-3.fc24 icecat-45.5.1-6.fc24 nss-3.28.1-1.3.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 seamonkey-2.46-3.fc24 thunderbird-45.6.0-5.fc24 xulrunner-44.0-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 12 Fedora Update System 2017-01-21 21:52:19 UTC
firefox-50.1.0-3.fc24, icecat-45.5.1-6.fc24, nss-3.28.1-1.3.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24, seamonkey-2.46-3.fc24, thunderbird-45.6.0-5.fc24, xulrunner-44.0-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 13 Fedora Update System 2017-01-21 22:24:57 UTC
firefox-50.1.0-3.fc25, icecat-45.5.1-6.fc25, nss-3.28.1-1.3.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25, seamonkey-2.46-3.fc25, thunderbird-45.6.0-5.fc25, xulrunner-44.0-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 14 Fedora Update System 2017-01-24 03:19:42 UTC
firefox-50.1.0-3.fc25, icecat-45.5.1-6.fc25, nss-3.28.1-1.3.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25, seamonkey-2.46-3.fc25, thunderbird-45.6.0-5.fc25, xulrunner-44.0-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-24 03:48:23 UTC
firefox-50.1.0-3.fc24, icecat-45.5.1-6.fc24, nss-3.28.1-1.3.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24, seamonkey-2.46-3.fc24, thunderbird-45.6.0-5.fc24, xulrunner-44.0-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora End Of Life 2017-02-28 11:01:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.